POS Order Synchronization (Community)

by
Odoo

20.85

v 14.0 Third Party 76
Required Apps Point of Sale (point_of_sale)
Inventory (stock)
Invoicing (account)
Lines of code 1672
Technical Name aspl_pos_order_sync
LicenseSee License tab
Websitehttp://www.acespritech.com
Also available in version v 15.0 v 13.0 v 12.0
You bought this module and need support? Click here!
Required Apps Point of Sale (point_of_sale)
Inventory (stock)
Invoicing (account)
Lines of code 1672
Technical Name aspl_pos_order_sync
LicenseSee License tab
Websitehttp://www.acespritech.com
Also available in version v 15.0 v 13.0 v 12.0

Odoo 14 POS Order Synchronization (Community)

Note: This module is tested and working in Odoo community edition but not tested in Enterprise version. And we are supporting Ubuntu OS and not Windows OS.
This module doesn't work with POS HR and POS Restaurant Modules. .

Features

  • We can define type of users like Sales Person & Cashier.
  • Sales Person only can make draft order from POS.
  • Sales Persons only can see their own orders.
  • Cashier can see all the draft orders of sales persons which are selected under that cashier. Cashier can edit or pay those orders.
  • View order history.
  • Reprint receipt from order list.
  • Edit draft order.
  • Reorder previous order from order list.
  • Restrict sales person to give discount and change price.
  • Sales person can not give discount beyond the assigned limit. if he want to go beyond limit then manager authentication is required.
  • There are two different methods for authentication like by security PIN number or by scan Barcode of Manager.The method should be used based on configuration of user.


How to use

  • As per below image you can define type for users based on role. Here both users are sales person.


  • Here is configuration of cashier and we can configure sales persons which will belong to this cashier.

  • Here is pos configuration for enable order sync and select managers which will use for authentication in POS while giving discount beyond the assigned limit.

  • Here this pos user is sales person that's why he can only create draft orders.



  • As soon as Sales person make draft order then immediately cashier will get notification and order in cashier POS and cashier can do reprint, edit, payment or reorder from POS.


  • Here is another user will make order in draft and cashier get instant update of that order on POS.



  • When sales person give discount more the limit then this popup window comes and prompt for authentication of manager.

Release Notes

Release Update - June 6, 2022
Version - 14.0.2.0.5
New Fixes
  • User can see current sessoin orders.
Release Update - Jan 18, 2022
Version - 14.0.2.0.4
New Fixes
  • Cashier can make payment of draft orders.
Release Update - Apr 15, 2021
Version - 14.0.2.0.3
New Fixes
  • Solve issue during delete draft order
Release Update - November 16, 2021
Version - 14.0.2.0.2
Bug Fixes
  • Order Sync with Lot/Serial Number
Release Update - May 14, 2021
Version - 14.0.2.0.1
Bug Fixes
  • Create unwanted stock picking
Release Update - Apr 15, 2021
Version - 14.0.2.0.0
New Fixes
  • Improve Code
Release Update - Jan 13, 2021
Version - 14.0.1.0.0
  • Initial Release

NOTE: We give 60 days support for our customers. Before trying in your live db, please ask us to provide you for test link. If any other custom modules are installed and because of that some errors occurs then we charge extra.

Acespritech Solutions Pvt. Ltd. License v1.0
This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).
You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).
It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.
The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author or have a question related to your purchase, please use the support page.
There are no ratings yet!
by
Omar Almikhlafi
on 4/16/22, 8:17 AM Confirmed Purchase

I don't have a Skype account, can I contact you via email or any other way?

Re:
by
Acespritech Solutions Private Limited
on 4/18/22, 12:40 AM Author

Hello,

Yes we will communicate via email.

info@acespritech.com

Thanks


by
Omar Almikhlafi
on 3/19/22, 9:12 AM Confirmed Purchase

Hi dear 

I get This Error on odoo 14 Comunity 

Traceback (most recent call last):

  File "C:\Program Files\odoo14\python\lib\site-packages\werkzeug\serving.py", line 306, in run_wsgi

    execute(self.server.app)

  File "C:\Program Files\odoo14\python\lib\site-packages\werkzeug\serving.py", line 294, in execute

    application_iter = app(environ, start_response)

  File "C:\Program Files\odoo14\server\odoo\service\server.py", line 441, in app

    return self.app(e, s)

  File "C:\Program Files\odoo14\server\odoo\service\wsgi_server.py", line 113, in application

    return application_unproxied(environ, start_response)

  File "C:\Program Files\odoo14\server\odoo\service\wsgi_server.py", line 88, in application_unproxied

    result = odoo.http.root(environ, start_response)

  File "C:\Program Files\odoo14\server\odoo\http.py", line 1307, in __call__

    return self.dispatch(environ, start_response)

  File "C:\Program Files\odoo14\server\odoo\http.py", line 1273, in __call__

    return self.app(environ, start_wrapped)

  File "C:\Program Files\odoo14\python\lib\site-packages\werkzeug\middleware\shared_data.py", line 220, in __call__

    return self.app(environ, start_response)

  File "C:\Program Files\odoo14\server\odoo\http.py", line 1497, in dispatch

    result = ir_http._dispatch()

  File "C:\Program Files\odoo14\server\odoo\addons\auth_signup\models\ir_http.py", line 19, in _dispatch

    return super(Http, cls)._dispatch()

  File "C:\Program Files\odoo14\server\odoo\addons\web_editor\models\ir_http.py", line 21, in _dispatch

    return super(IrHttp, cls)._dispatch()

  File "C:\Program Files\odoo14\server\odoo\addons\http_routing\models\ir_http.py", line 508, in _dispatch

    result = super(IrHttp, cls)._dispatch()

  File "C:\Program Files\odoo14\server\odoo\addons\base\models\ir_http.py", line 241, in _dispatch

    return cls._handle_exception(e)

  File "C:\Program Files\odoo14\server\odoo\addons\http_routing\models\ir_http.py", line 598, in _handle_exception

    return super(IrHttp, cls)._handle_exception(exception)

  File "C:\Program Files\odoo14\server\odoo\addons\base\models\ir_http.py", line 209, in _handle_exception

    return request._handle_exception(exception)

  File "C:\Program Files\odoo14\server\odoo\http.py", line 746, in _handle_exception

    return super(HttpRequest, self)._handle_exception(exception)

  File "C:\Program Files\odoo14\server\odoo\http.py", line 317, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ValueError: Element '<xpath expr="//span[@t-esc='env.pos.format_currency(receipt.change)']/..">' cannot be located in parent view - - -


Re:
by
Acespritech Solutions Private Limited
on 3/21/22, 1:02 AM Author

Hello !
Greetings from Acespritech Solutions Pvt Ltd.
We will help you sure for all your queries, issues and even new development.
You can discuss to my technical team on skype: acespritech (Acespritech Solutions Pvt Ltd)
Thanks.


by
quimer panizo
on 12/21/21, 7:53 AM

works for restaurant ?


Does not show sellers
by
juanc.rojasl@outlook.com
on 9/21/21, 11:18 AM Confirmed Purchase

We bought the module in versions 12 and 14, and in the latter, it does not show the sellers only the cashiers.

Re: Does not show sellers
by
Acespritech Solutions Private Limited
on 9/22/21, 1:33 AM Author

Hello !
Greetings from Acespritech Solutions Pvt Ltd.
We will help you sure for all your queries, issues and even new development.
You can discuss to my technical team on skype: acespritech (Acespritech Solutions Pvt Ltd)
Thanks.


see tiket before paiement
by
ngangwoyannick@gmail.com
on 6/13/21, 2:58 PM

Helle i pay this module is work very good now i need to see produc send by salman before do payment

Re: see tiket before paiement
by
Acespritech Solutions Private Limited
on 6/14/21, 12:51 AM Author

Hello,

Please add skype for further communication.

skype : acespritech

Thanks


Error in deployment in odoo 14
by
carlos alberto navarro
on 4/14/21, 8:57 PM Confirmed Purchase


when installing in odoo 14 I have the following error


Error:

Odoo Server Error


Traceback (most recent call last):

  File "/opt/odoo/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/opt/odoo/odoo/odoo/http.py", line 683, in dispatch

    result = self._call_function(**self.params)

  File "/opt/odoo/odoo/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, args, *kwargs)

  File "/opt/odoo/odoo/odoo/service/model.py", line 94, in wrapper

    return f(dbname, args, *kwargs)

  File "/opt/odoo/odoo/odoo/http.py", line 347, in checked_call

    result = self.endpoint(*a, **kw)

  File "/opt/odoo/odoo/odoo/http.py", line 912, in call

    return self.method(*args, **kw)

  File "/opt/odoo/odoo/odoo/http.py", line 531, in response_wrap

    response = f(*args, **kw)

  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1393, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1381, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/opt/odoo/odoo/odoo/api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/opt/odoo/odoo/odoo/api.py", line 383, in _call_kw_multi

    result = method(recs, args, *kwargs)

  File "<decorator-gen-72>", line 2, in button_immediate_install

  File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 73, in check_and_log

    return method(self, args, *kwargs)

  File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 474, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 592, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/opt/odoo/odoo/odoo/modules/registry.py", line 89, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "/opt/odoo/odoo/odoo/modules/loading.py", line 453, in load_modules

    processed_modules += load_marked_modules(cr, graph,

  File "/opt/odoo/odoo/odoo/modules/loading.py", line 346, in load_marked_modules

    loaded, processed = load_module_graph(

  File "/opt/odoo/odoo/odoo/modules/loading.py", line 178, in load_module_graph

    load_openerp_module(package.name)

  File "/opt/odoo/odoo/odoo/modules/module.py", line 358, in load_openerp_module

    _import_('odoo.addons.' + module_name)

  File "/opt/odoo/odoo/addons/aspl_pos_order_sync/_init_.py", line 12, in <module>

    from . import models

  File "/opt/odoo/odoo/addons/aspl_pos_order_sync/models/_init_.py", line 12, in <module>

    from . import point_of_sale

  File "/opt/odoo/odoo/addons/aspl_pos_order_sync/models/point_of_sale.py", line 14, in <module>

    import wdb

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/opt/odoo/odoo/odoo/http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/opt/odoo/odoo/odoo/http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ModuleNotFoundError: No module named 'wdb'


Do you have it for V13?
by
Zubair H
on 1/19/21, 3:35 PM